define([
		"chy/_base/_ValidateMixin",
		"dojo/_base/declare",
		"dijit/form/CurrencyTextBox"
	], function(_ValidateMixin, declare, CurrencyTextBox){
		
	return declare("chy.form.CurrencyTextBox",[CurrencyTextBox, _ValidateMixin],{
		
		//constructor
		constructor: function(args){
			declare.safeMixin(this,args);
			this.inherited(arguments);
		}
	});
});
